import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema'

const insurancecredentialscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => InsuranceCredentialScalarWhereInputObjectSchema), z.lazy(() => InsuranceCredentialScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => InsuranceCredentialScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => InsuranceCredentialScalarWhereInputObjectSchema), z.lazy(() => InsuranceCredentialScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  siteKey: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  username: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  password: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional()
}).strict();
export const InsuranceCredentialScalarWhereInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialScalarWhereInput> = insurancecredentialscalarwhereinputSchema as unknown as z.ZodType<Prisma.InsuranceCredentialScalarWhereInput>;
export const InsuranceCredentialScalarWhereInputObjectZodSchema = insurancecredentialscalarwhereinputSchema;
